///////////////////////////////////////////////////////////////////////////////////
//                                                                               //
//  This is a LibSocketCAN for Lazarus demo by Thomas Kuhn                       //
//                                                                               //
//                                                                               //
//  vcan0 is default CAN interface but you can type any CAN interface you have   //
//  Many functions do not work on virtual interfaces, so use real CAN if you can //
//                                                                               //
//  root rights are needed for Set/Start/Stop functions, so start demo with      //
//  sudo ./canlibgetset                                                          //
//                                                                               //
//  Select the desired baudrate and activate it with button 'can_set_bitrate()'  //
//                                                                               //
//  Start the interface with button 'can_do_start()'                             //
//  Stop the interface with button 'can_do_stop()'                               //
//                                                                               //
//  Exit and start as normal user again                                          //
//                                                                               //
///////////////////////////////////////////////////////////////////////////////////

program canlibgetset;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, Forms, excersise;

{$R *.res}

begin
  RequireDerivedFormResource := True;
  Application.Scaled := True;
  Application.Initialize;
  Application.CreateForm(TLibScketCanForm, LibScketCanForm);
  Application.Run;
end.

